import ts from 'typescript';
import { TypeDeclaration } from './utils';
export declare class Generator {
    sourceFiles: ts.SourceFile[];
    private looseMode;
    declarations: TypeDeclaration[];
    constructor(sourceFiles: ts.SourceFile[], looseMode: boolean, disableWarning: boolean | undefined, getRelativePath: (fileName: string) => string, checker?: ts.TypeChecker);
    generateProtobuf(): string;
    generateJsonSchemas(): {
        entry: string;
        schema: {
            $ref: string;
            definitions: {
                [name: string]: import("./json-schema-generator").Definition;
            };
        };
    }[];
    generateSwaggerDoc(swaggerBase?: Record<string, unknown>): string;
    generateTypescript(): string;
    generateMarkdownDoc(): string;
}
export * from './utils';
export * from './typescript-generator';
export * from './json-schema-generator';
export * from './swagger-doc-generator';
